Viewing Issue Advanced Details Jump to Notes ] wswan.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05715 Crash/Freeze Critical (emulator) Always Oct 11, 2014, 11:12 Nov 19, 2014, 04:19
Tester demotester View Status Public Platform MESS (Official Binary)
Assigned To etabeta Resolution Fixed OS Windows XP
Status [?] Resolved   Driver wswan.cpp
Version 0.154 Fixed in Version 0.156 Build Normal
Summary MESS-specific 05715: wswan, wscolor: It crash if executed w/o cartridge mounted.
Description If wswan or wscolor systems executed with out any cartridge mounted, it will crash the MESS.

It will not crash immediately, but after you pass the UI message.
Steps To Reproduce mess wswan
mess wscolor
Additional Information  
Flags
Regression Version
Affected Sets / Systems wswan, wscolor
Attached Files
 


-  Notes
User avatar
No.11033
Tafoid
(Administrator)
Oct 11, 2014, 11:29
edited on: Oct 11, 2014, 11:31
Wonderswan and Wonderswan color are set up currently as cart required to start - same as in 0.154. If you are getting a crash using MESSUI - it is a UI related issue and not MESS itself at fault because there are safeguards intact.

User avatar
No.11034
demotester
(Tester)
Oct 11, 2014, 11:39
I am not using MESSUI ! (as mentioned under Steps To Reproduce)

The UI messages - I mean the internal mess messages that appear every time when start the emu. ;-)
User avatar
No.11035
demotester
(Tester)
Oct 11, 2014, 12:25
For example, genesis or megadrive systems does not crash the MESS if executed with out a cartridge !
User avatar
No.11037
Tafoid
(Administrator)
Oct 11, 2014, 21:15
edited on: Oct 11, 2014, 22:17
What does your message say? If it says something along the lines of:
FATALERROR: Driver requires that device "cartridge" must have an image to load
There is no way around this short of adjusting the driver behavior.

I'm beginning to wonder what version of MESS you are using - 0.154 for genesis or megadriv do not allow starting from command-line without a cartridge argument.

User avatar
No.11040
Robbbert
(Developer)
Oct 11, 2014, 22:29
You MUST use the MESS executable from the mamedev.org site, before reporting bugs here.

If your build came from the messui site, then this report is invalid, because mandatory cart requirement is disabled in that build.
User avatar
No.11042
BarnacleEd
(Senior Tester)
Oct 12, 2014, 01:10
edited on: Oct 12, 2014, 01:56
Please report in a following note the URL of the site you downloaded MESS from, I would like to be sure that you're using the official build (or not).

User avatar
No.11043
demotester
(Tester)
Oct 12, 2014, 09:22
ok, I will Report this later today!
User avatar
No.11046
demotester
(Tester)
Oct 12, 2014, 12:17
edited on: Oct 12, 2014, 12:19
yeah, you're right, it seems that I've used version taken from -> http://messui.the-chronicles.org

mess154b.rar (mess.exe, 2014-07-23 17:12, CRC=3700E1D4)


Now being testing with version taken from -> http://mamedev.org/release.html

mess0154b.exe (mess.exe, 2014-07-23 08:57, CRC=F86B1A45)

and got...

mess.exe wswan, mess.exe wscolor, mess.exe genesis, mess.exe megadriv

to behave the same ... not possible to start the emu w/o cartridge inserted !

It seems the case can be closed now! (sorry for the inconvenience)

User avatar
No.11049
BarnacleEd
(Senior Tester)
Oct 12, 2014, 13:32
Heh, everyone makes mistakes. Report closed.
User avatar
No.11259
Robbbert
(Developer)
Nov 19, 2014, 03:27
This issue was fixed by Fabio on October 5th.
wswan without a cart now shows a white screen.
wscolor without a cart shows a black screen.